Summary: ftape-4.02
Name: ftape
Version: 4.02
Release: 1
Copyright: GPL
Group: Utilities/System
Icon: linux-ftape.gif
Source: ftape-4.02.tar.gz
Patch0: ftape-4.02-readme.patch
Patch1: ftape-4.02-config.patch
Patch2: ftape-4.02-install.patch

%description
This is the ftape driver from Claus-Justus Heine <heine@math1.rwth-aachen.de>.
The primary source of informations about the driver is the ftape's home page,
located at <http://www.math1.rwth-aachen.de/~heine/ftape/>. Have a look at it!
Due to the extraordinary and uninterrupted efforts of Claus (thanks a lot!),
this version of the driver is quite stable and reliable. At least, it works
perfectly for my setup (CMS FC-20 controller, HP Colorado T3000 drive), along
with ftape-tools-1.07 (from Claus also, take them too!) and BRU2000 (with X11
interface updated), that came packaged into my RedHat Linux 5.1 distribution.
What I missed was a RPM, to cleanly install, inspect, and eventually update
things. So I made one myself, and for anyone having a similar hardware setup.
This package holds all the three ftape-internal, trakker and bpck-fdc modules.
Shortly, ftape supports almost any non-SCSI, non-ATAPI floppy tape drive,
connected to the standard floppy controller, to a dedicated controller, or to
the parallel port. Check the Ftape-HOWTO on sunsite for the latest updated
informations. However, I compiled it using the appropriate compile options
for the popular CMS FC-20 controller, with the default values: base=0x0180,
irq=9, dma=3; and using the first device (i.e. /dev/nqft0 and /dev/qft0).
If you have a different setup, and for more informations, have a look at the
important file README.1st, which I included in this package.

%prep
%setup
%patch 0 -P
%patch 1 -P
%patch 2 -P

%build
make

%install
make install

%post
/sbin/depmod -a
cp /etc/conf.modules /etc/conf.modules.PRE-ftape
echo "alias char-major-27       zftape" >> /etc/conf.modules
echo "options ftape ft_fdc_driver=ftape-internal,none,none,none" >> /etc/conf.modules
echo "options ftape-internal ft_fdc_base=0x180 ft_fdc_irq=9 ft_fdc_dma=3" >> /etc/conf.modules
echo "#pre-install ftape-internal /sbin/swapout 16" >> /etc/conf.modules

%files
%dir /lib/modules/2.0.35/misc
/lib/modules/2.0.35/misc/bpck-fdc.o
/lib/modules/2.0.35/misc/ftape-internal.o
/lib/modules/2.0.35/misc/ftape.o
/lib/modules/2.0.35/misc/trakker.o
/lib/modules/2.0.35/misc/zft-compressor.o
/lib/modules/2.0.35/misc/zftape.o
/dev/qft0
/dev/nqft0
/dev/rawft0
/dev/nrawft0
/dev/zqft0
/dev/nzqft0
/dev/qft1
/dev/nqft1
/dev/rawft1
/dev/nrawft1
/dev/zqft1
/dev/nzqft1
/dev/qft2
/dev/nqft2
/dev/rawft2
/dev/nrawft2
/dev/zqft2
/dev/nzqft2
/dev/qft3
/dev/nqft3
/dev/rawft3
/dev/nrawft3
/dev/zqft3
/dev/nzqft3

%doc README.1st README RELEASE-NOTES INSTALL
